Skip to main content
POST
/
v1
/
video
/
generations
Generate video
curl --request POST \
  --url https://api.siray.ai/v1/video/generations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "aspect_ratio": "16:9",
  "audio_enable": false,
  "cfg_scale": 0.5,
  "duration": 3,
  "model": "kuaishou/kling-3.0-t2v",
  "negative_prompt": "example_value",
  "prompt": "example_value"
}
'
import requests

url = "https://api.siray.ai/v1/video/generations"

payload = {
    "aspect_ratio": "16:9",
    "audio_enable": False,
    "cfg_scale": 0.5,
    "duration": 3,
    "model": "kuaishou/kling-3.0-t2v",
    "negative_prompt": "example_value",
    "prompt": "example_value"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    aspect_ratio: '16:9',
    audio_enable: false,
    cfg_scale: 0.5,
    duration: 3,
    model: 'kuaishou/kling-3.0-t2v',
    negative_prompt: 'example_value',
    prompt: 'example_value'
  })
};

fetch('https://api.siray.ai/v1/video/generations', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "code": "success",
  "data": {
    "task_id": "<string>"
  },
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication using API key

Body

application/json

Request payload

Request format for video generation models

aspect_ratio
enum<string>
required

Aspect ratio

Available options:
16:9,
9:16,
1:1
duration
enum<integer>
required

Fixed duration

Available options:
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15
model
enum<string>
required

Model name to use for the request

Available options:
kuaishou/kling-3.0-t2v
prompt
string
required

Text prompt for generation

audio_enable
boolean

Whether to generate audio along with video

cfg_scale
number
default:0.5

Generation guidance strength (0-1)

Required range: 0 <= x <= 1
negative_prompt
string

Negative prompt to specify what should not appear in the generation

Response

200 - application/json

Successful response

Standard async task creation response

code
string
required

Status code returned by the service

Example:

"success"

data
object
required

Response payload containing task details

message
string
required

Additional information about the request result